Package tigase.server.xmppclient

## Class SeeOtherHostDualIP.DualIPRepositoryWrapper

- java.lang.Object
- - tigase.db.beans.MDRepositoryBean<T>
  - - tigase.db.beans.MDRepositoryBeanWithStatistics<SeeOtherHostDualIP.DualIPRepository>
    - - tigase.server.xmppclient.SeeOtherHostDualIP.DualIPRepositoryWrapper

- All Implemented Interfaces:
    `DataSourceAware<DataSource>`, `Initializable`, `RegistrarBean`, `RegistrarBeanWithDefaultBeanClass`, `UnregisterAware`, `SeeOtherHostDualIP.DualIPRepository<DataSource>`, `ComponentStatisticsProvider`, `StatisticsProviderIfc`
  Enclosing class:
    SeeOtherHostDualIP

      @Bean(name="dualIPRepository",
            parent=SeeOtherHostDualIP.class,
            active=true)
      public static class SeeOtherHostDualIP.DualIPRepositoryWrapper
      extends MDRepositoryBeanWithStatistics<SeeOtherHostDualIP.DualIPRepository>
      implements SeeOtherHostDualIP.DualIPRepository<DataSource>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SeeOtherHostDualIP.DualIPRepositoryWrapper.DualIPRepositoryWrapperConfigBean` |

    - ### Nested classes/interfaces inherited from class tigase.db.beans.MDRepositoryBean

      `MDRepositoryBean.MDRepositoryConfigBean<A extends DataSourceAware>, MDRepositoryBean.SelectorType`

  - ### Field Summary

    - ### Fields inherited from class tigase.db.beans.MDRepositoryBean

      `aliases, dataSourceSelection`

    - ### Fields inherited from interface tigase.server.xmppclient.SeeOtherHostDualIP.DualIPRepository

      `HOSTNAME_ID, SECONDARY_HOSTNAME_ID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DualIPRepositoryWrapper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.Class<? extends SeeOtherHostDualIP.DualIPRepository>` | `findClassForDataSource​(DataSource dataSource)` | Method returns class implementing repository which supports data source instance provided in parameter.
    `java.lang.Class<?>` | `getDefaultBeanClass()` | Returns default class for all bean which are defined using configuration as subbeans of bean implementing this interface.
    `java.util.Map<BareJID,​BareJID>` | `queryAllDB()` |
    `void` | `setDataSource​(DataSource dataSource)` | Method called to provide class with instance of a data source.

    - ### Methods inherited from class tigase.db.beans.MDRepositoryBeanWithStatistics

      `everyHour, everyMinute, everySecond, getRepositories, getRepository, getStatistics, setStatisticsEnabled, updateDataSourceAware, wrapInProxy`

    - ### Methods inherited from class tigase.db.beans.MDRepositoryBean

      `beforeUnregister, getName, initialize, initializeRepository, onDataSourceChange, register, registerIfNotExists, repositoriesStream, setDataSourceBean, unregister`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.stats.ComponentStatisticsProvider

      `belongsTo`

- - ### Constructor Detail

    - #### DualIPRepositoryWrapper

          public DualIPRepositoryWrapper()

  - ### Method Detail

    - #### queryAllDB

          public java.util.Map<BareJID,​BareJID> queryAllDB()
                                                          throws java.sql.SQLException

      Specified by:
        `queryAllDB` in interface `SeeOtherHostDualIP.DualIPRepository<DataSource>`
      Throws:
        `java.sql.SQLException`

    - #### setDataSource

          public void setDataSource​(DataSource dataSource)

      Description copied from interface: `DataSourceAware`
      Method called to provide class with instance of a data source.
      Specified by:
        `setDataSource` in interface `DataSourceAware<DataSource>`

    - #### getDefaultBeanClass

          public java.lang.Class<?> getDefaultBeanClass()

      Description copied from interface: `RegistrarBeanWithDefaultBeanClass`
      Returns default class for all bean which are defined using configuration as subbeans of bean implementing this interface. This allows users to have more convenient configuration file without the need to specify class for each of subbbeans if most of them will have the same class.
      Specified by:
        `getDefaultBeanClass` in interface `RegistrarBeanWithDefaultBeanClass`

    - #### findClassForDataSource

          protected java.lang.Class<? extends SeeOtherHostDualIP.DualIPRepository> findClassForDataSource​(DataSource dataSource)
                                                                                                   throws DBInitException

      Description copied from class: `MDRepositoryBean`
      Method returns class implementing repository which supports data source instance provided in parameter.
      Specified by:
        `findClassForDataSource` in class `MDRepositoryBean<SeeOtherHostDualIP.DualIPRepository>`
      Returns:
        repository class
      Throws:
        `DBInitException`